## dicelab 0.7

=== docs/Makefile ===
BNFDIA=./bnfdia

dicelab_manual.pdf: dicelab_manual.tex copyleft.pdf syntax1.pdf \
	syntax-dice.pdf syntax-math.pdf syntax-sumprod.pdf syntax-count.pdf \
	syntax-scalarconcat.pdf syntax-range.pdf syntax-listconcat.pdf \
	syntax-ordering.pdf syntax-lowhigh.pdf syntax-firstlast.pdf \
	syntax-filter.pdf syntax-let.pdf syntax-foreach.pdf syntax-while.pdf \
	syntax-if.pdf syntax-listrep.pdf
	pdflatex dicelab_manual.tex
	pdflatex dicelab_manual.tex

%.svg: %.bnf
	$(BNFDIA) < $< && mv test.svg $@

%.pdf: %.svg
	inkscape --export-pdf=$@ $^
#	convert -density 150 $^ $@

%.pdf: %.fig
	fig2dev -L pdftex_t -p $@ $^ \
		> $@_t
	fig2dev -L pdftex $^ > $@

clean:
	rm -f dicelab_manual.toc dicelab_manual.aux dicelab_manual.log \
		dicelab_manual.ind dicelab_manual.idx dicelab_manual.out
	rm -f *.pdf *.pdf_t

=== debian/changelog ===
dicelab (0.7-9) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Marcos Talau <talau@debian.org>  Sun, 16 Nov 2025 10:27:20 -0300

dicelab (0.7-8) experimental; urgency=medium

  * QA upload.
  * debian/control: Bump Standards-Version to "4.7.2".
  * debian/copyright: Update packaging copyright information.
  * debian/upstream/metadata: Add upstream metadata information.

 -- Murilo Brasil Cordeiro <murilobrasil@alunos.utfpr.edu.br>  Thu, 19 Jun 2025 14:58:26 -0300

dicelab (0.7-7) unstable; urgency=medium

  * Orphaning the package
  * Raising Standards version to 4.6.2 (no change)

 -- Pierre Gruet <pgt@debian.org>  Wed, 16 Aug 2023 17:09:06 +0200

dicelab (0.7-6) unstable; urgency=medium

  * New maintainer, thanks to Robert Lemmen (Closes: #994636)
  * Converting diff from old source 1.0 format into quilt patches
  * Source format is now 3.0 (quilt)
  * Depending on debhelper-compat 13
  * Raising Standards version to 4.6.0:
    - Rules-Requires-Root: no
    - Using the dh sequencer
  * Refreshing d/copyright, using latest format
  * Setting d/watch version to 4
  * Removing now useless debian/dirs file
  * Providing hardening scheme in debian/rules
  * Revising the short description
  * Adding Vcs-* fields pointing to Salsa
  * Fixing a spelling error in the manpage
  * Adding doc-base support
  * Trim trailing whitespace.
  * Removing the build-dependency on inkscape
  * Adding autopkgtests

 -- Pierre Gruet <pgt@debian.org>  Sat, 18 Dec 2021 11:35:57 +0100

dicelab (0.7-5) unstable; urgency=medium

  * Maintenance Release
    * Bumped standards-version and debhelper
    * Added Homepage link

 -- Robert Lemmen <robertle@semistable.com>  Wed, 14 Mar 2018 19:38:33 +0100

dicelab (0.7-4) unstable; urgency=medium

  * Add build-dep to libfl-dev (closes: #846421)

 -- Robert Lemmen <robertle@semistable.com>  Mon, 05 Dec 2016 21:58:27 +0000

dicelab (0.7-3) unstable; urgency=medium

  * Patch extern declaration in main.c to correct return type (closes: #748038)
  * Changes towards lintian-cleanliness
  * Bump standards-version

 -- Robert Lemmen <robertle@semistable.com>  Mon, 06 Jun 2016 21:10:16 +0100

dicelab (0.7-2) unstable; urgency=low

  * Update packaging
  * Bump standards-version
  * Fix a couple of hyphen-vs-minus cases in manpage
  * Enable hardening flags during build
  * Fix a few typos in the package description (closes: #540595)
  * make manpage less confusing around --calc and --count

 -- Robert Lemmen <robertle@semistable.com>  Fri, 05 Jul 2013 09:08:30 +0100

dicelab (0.7-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Wed, 25 Nov 2009 12:30:05 +0000

dicelab (0.6-1) unstable; urgency=low

  * New upstream release

 -- Robert Lemmen <robertle@semistable.com>  Fri, 22 Feb 2008 15:47:40 +0000

dicelab (0.5-1) unstable; urgency=low

  * Initial release (closes: #440822)

 -- Robert Lemmen <robertle@semistable.com>  Mon, 10 Dec 2007 17:06:15 +0100

=== debian/control ===
Source: dicelab
Section: math
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Homepage: http://semistable.com/dicelab/
Build-Depends: debhelper-compat (= 13),
               flex,
               libfl-dev
Vcs-Browser: https://salsa.debian.org/debian/dicelab
Vcs-Git: https://salsa.debian.org/debian/dicelab.git
Rules-Requires-Root: no
Standards-Version: 4.7.2

Package: dicelab
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: tool to compute the statistical distribution of dice rolls
 With dicelab you can express most dice rolls (and similar things) in a
 functional language, and then either roll the expression, or evaluate the
 statistical distribution. In the latter case you can choose whether you want to
 simply roll and tally many times, or actually compute the distribution (which
 is more precise, but takes a long time in some obscure cases).

=== debian/tests/control ===
Tests: exampleDistribution, simpleCommand
Depends: @
